← Ähli gural kategoriýalary
150 işleýän gurallar

Tekst we sanaw gurallary

Iş maglumatlaryny ýüklemän mazmuny arassalaň, deňeşdiriň we ölçäň.

Tekst setirlerini merkezleşdiriň

Her setiri anyk Unicode nyşan giňliginiň içinde merkezleşdir, boş hatarlary sakla we ýok ediji gysgaltmagy ret et.

Guraly aç →

Sözlerden öňdäki goşulmany aýyrmak

Gabat gelýän Unicode sözlerinden bir takyk öňdäki bölegi aýyryň we dyngy belgileri, aralary hem-de gabat gelmeýän sözleri üýtgetmän goýuň.

Guraly aç →

Sözlerden goşulmany aýyrmak

Aýry-sepileri tekizlemän ýa-da şol goşulmany götermeýän sözleri üýtgetmän, gabat gelýän Unicode sözlerinden birmeňzeş soňlugy aýyryň.

Guraly aç →

Nyşanlaryň arasynda aýraç goýuň

Emoji ýaly surrogate jübütlerini ýararsyz böleklere bölmän, Unicode kod nokatlarynyň arasynda saýlanan aýyrjyny goýuň.

Guraly aç →

Her ýazgy setirine sitata goýuň

Her setiri goşa goşgy belgileri, ýekelik goşgy belgileri ýa-da yzyna baglaýjy nyşanlaryň içine alyň, şol bir wagtyň özünde boş setirleri we asyl setir tertibini saklaň.

Guraly aç →

Tekst setirlerinden sitatalary aýyrmak

Her setiri awtomatiki ýa-da açyk sitata-nyşan görnüşine laýyklykda daşarky deňleşdirilen sitata jübütiniň birini aýyryň.

Guraly aç →

Her sözi sitata al

Her bir Unicode söz belgisini saýlanan sitata nyşany bilen daşlaň, şol bir wagtda hem vergülleri, dyngy belgilerini we asyl ak boşluklary saklaň.

Guraly aç →

Sözlerden sitatalary aýyryň

Gabat gelýän sitata bellikleri bolan ýagdaýynda, aýratynlykda sitata goýlan Unicode sözlerini aýryp çykaryň, ýöne nesirden degişli bolmadyk sitata belliklerini pozmaň.

Guraly aç →

Boş setirleri kadalaşdyr

Arakesmeleri saklap, yzygiderli boş setirleri takyk iň ýokary çäkde çäklendiriň we her boş däl setiri gorap saklaň.

Guraly aç →

Boşluklary täze setirlere öwürmek

Her boşluk bilen aýrylan tokeni bir setire öwüriň we gaýtalanýan boşluklary, tabulatorlary we bar bolan setir bölünişiklerini kesgitli ýagdaýda gysyň.

Guraly aç →

Täze setirleri aýraç bilen öwür

Her setiriň diňe daşky boşluklaryny kesip, boş däl tekst setirlerini sazlap bolýan bölüji bilen birleşdiriň.

Guraly aç →

Söz ýygylygy derňewçisi

Unicode sözlerini ýüze çykma sany boýunça, sazlap bolýan iň az uzynlyk, netije çägi we harpyň uly-kiçiligi boýunça deňeşdirmesi bilen tertipläň.

Guraly aç →

Sözleriň içinde harplary tertiple

Her sözüň içinde Unicode harplary we sanlary aýratynlykda tertipläň, dyngy belgilerini ýa-da sözleriň özlerini hereketlendirmezden.

Guraly aç →

Ähli tekst belgilerini tertiple

Tutuş giriş boýunça ähli Unicode kod nokatlaryny hökmanylykda tertipleň, goşmaça boşluklary aýyrmak we açyk ýokary ýa-da peselýän ugruny saýlamak mümkinçiligi bilen.

Guraly aç →

San Tekst Sözlemler

Tapylan her sözlemi sazlap bolýan başlangyç baha we üç sany okalýan marker stili bilen aýratyn sanly setire ýerleşdiriň.

Guraly aç →

San Tekst Abzaslary

Her paragrafyň içki setir bölünişlerini we formatlaşdyrylyşyny saklamak bilen, boş setirler bilen bölünen paragraflary sany boýunça belgile.

Guraly aç →

Gaýtalanýan sözlemleri tapyjy

Doly gaýtalanýan sözlemleri sanlary bilen, açyk görnüşde uly-kichilik harplara duýgur ýa-da duýgur däl deňeşdirme ulanyp sanawlaň.

Guraly aç →

Aýratyn jümle çykaryjy

Her doly jümläniň ilkinji gezek peýda bolmagyny saklaň we saýlap bolýan harp ýagdaýy düzgünine görä soňraky gaýtalanmalary aýyryň.

Guraly aç →

Base32 Tekst kodlaýjy we dekodlaýjy

UTF-8 teksti kanoniki RFC 4648 Base32-ä öwürmek ýa-da doldurylan ýa-da doldurylmadyk Base32 bahasyny berk dekodirlemek.

Guraly aç →

Base32hex Tekst Şifrleýji we Şifri Açyjy

RFC 4648-iň 7-nji bölüminde kesgitlenen giňeldilen on altylyk Base32 elipbiýi bilen UTF-8 kodlaň we dekodlaň.

Guraly aç →

Base45 teksti kodlaýjy we dekodlaýjy

QR-önümlendirilen maglumat formatlarynda ulanylýan ykjam RFC 9285 Base45 elipbiýi bilen UTF-8 teksti özgert.

Guraly aç →

Base58 Bitcoin tekst kodlaýjy we dekodlaýjy

Başdaky nola degişli baýtlary takyk saklap, UTF-8 baýtalaryny Bitcoin Base58 elipbiýi bilen öwrüň.

Guraly aç →

Ascii85 tekst kodlaýjy we dekodlaýjy

UTF-8-ni bäş simwolly Ascii85 toparlarynda kodlaň ýa-da goşmaça bölüjiler we z gysylmagy bilen berk Adobe laýyk maglumatlary koddan açyň.

Guraly aç →

Sitatlaýyn-Printable Tekst Kodlaýjy we Dekodlaýjy

UTF-8 poçta görnüşindäki teksti RFC 2045 quoted-printable hökmünde kodlaň ýa-da barlanan uly harply escape yzygiderliligini we brauzer tarapyndan kadalaşdyrylan setir arakesmelerini dekodlaň.

Guraly aç →